%global pypi_name numpydoc

Name:           python-numpydoc
Version:        1.8.0
Release:        %mkrel 2
Summary:        Sphinx extension to support docstrings in Numpy format
Group:          Development/Python
License:        BSD
URL:            https://pypi.python.org/pypi/numpydoc
Source0:        %{pypi_source}
# Compatibility with sphinx 8
Patch1:         https://github.com/numpy/numpydoc/commit/1338660.patch
BuildArch:      noarch
BuildRequires:  pyproject-rpm-macros
BuildRequires:  pkgconfig(python3)

%description
Numpydoc inserts a hook into Sphinx's autodoc that converts docstrings
following the Numpy/Scipy format to a form palatable to Sphinx.

%package -n python3-numpydoc
Summary:        Sphinx extension to support docstrings in Numpy format
Group:          Development/Python

%description -n python3-numpydoc
Numpydoc inserts a hook into Sphinx's autodoc that converts docstrings
following the Numpy/Scipy format to a form palatable to Sphinx.

%prep
%autosetup -p1 -n numpydoc-%{version}

# let's not measure coverage:
sed -i '/pytest-cov/d' requirements/test.txt pyproject.toml
sed -Ei 's/\s+--cov\S+//g' pyproject.toml

%generate_buildrequires
%pyproject_buildrequires -x test

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files numpydoc

%check
# Deselected tests need to download an inventory from docs.python.org
#pytest -k "not test_MyClass and not test_my_function"

%files -n python3-numpydoc -f %{pyproject_files}
%license LICENSE.txt
%doc README.rst
%{_bindir}/numpydoc


%changelog
* Mon Mar 03 2025 daviddavid <daviddavid> 1.8.0-2.mga10
+ Revision: 2159055
- disable tests for now
- rebuild for python 3.13

* Thu Feb 20 2025 daviddavid <daviddavid> 1.8.0-1.mga10
+ Revision: 2149942
- new version: 1.8.0

* Thu Jul 11 2024 papoteur <papoteur> 1.7.0-1.mga10
+ Revision: 2080734
- new version 1.7.0

* Wed Dec 27 2023 wally <wally> 1.6.0-1.mga10
+ Revision: 2022174
- new version 1.6.0

* Tue Dec 26 2023 papoteur <papoteur> 1.4.0-2.mga10
+ Revision: 2021879
- rebuild for python 3.12

* Wed Sep 07 2022 neoclust <neoclust> 1.4.0-1.mga9
+ Revision: 1885105
- New version  1.4.0

* Wed Apr 06 2022 umeabot <umeabot> 1.2-2.mga9
+ Revision: 1846130
- Mageia 9 Mass Rebuild

* Wed Feb 16 2022 mrambo3501 <mrambo3501> 1.2-1.mga9
+ Revision: 1778288
- version 1.2
- rebuild for python-3.10

* Mon Mar 22 2021 daviddavid <daviddavid> 1.1.0-2.mga9
+ Revision: 1707353
- rebuild for python 3.9

* Thu Sep 17 2020 guillomovitch <guillomovitch> 1.1.0-1.mga8
+ Revision: 1627458
- new version 1.1.0
- new version 1.1.0

* Thu Feb 20 2020 umeabot <umeabot> 0.9.2-2.mga8
+ Revision: 1546107
- Mageia 8 Mass Rebuild

* Fri Jan 31 2020 daviddavid <daviddavid> 0.9.2-1.mga8
+ Revision: 1485935
- new version: 0.9.2

* Sun Sep 15 2019 daviddavid <daviddavid> 0.9.1-2.mga8
+ Revision: 1441668
- rebuild for python3.8

* Sun Aug 04 2019 wally <wally> 0.9.1-1.mga8
+ Revision: 1427286
- new version 0.9.1
- drop python2 support

* Mon Jan 07 2019 shlomif <shlomif> 0.8.0-1.mga7
+ Revision: 1350438
- Rebuild for python3 3.7

* Thu Sep 20 2018 umeabot <umeabot> 0.7.0-2.mga7
+ Revision: 1289487
- Mageia 7 Mass Rebuild

* Tue May 08 2018 daviddavid <daviddavid> 0.7.0-1.mga7
+ Revision: 1227763
- new version: 0.7.0
- rename python-numpydoc to python2-numpydoc
- use new python provides

* Sat Aug 05 2017 pterjan <pterjan> 0.5-7.mga7
+ Revision: 1135520
- Rebuild for python 3.6

* Fri Feb 19 2016 umeabot <umeabot> 0.5-6.mga6
+ Revision: 970620
- Mageia 6 Mass Rebuild

* Thu Oct 08 2015 daviddavid <daviddavid> 0.5-5.mga6
+ Revision: 887336
- rebuild for python 3.5
- use new python macros

* Wed Oct 15 2014 umeabot <umeabot> 0.5-4.mga5
+ Revision: 746724
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.5-3.mga5
+ Revision: 729182
- rebuild for missing pythoneggs deps
+ umeabot <umeabot>
- Mageia 5 Mass Rebuild

* Sat Aug 30 2014 philippem <philippem> 0.5-1.mga5
+ Revision: 669683
- update to 0.5.1, add Python3
+ pterjan <pterjan>
- Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 0.4-3.mga4
+ Revision: 543888
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 0.4-2.mga4
+ Revision: 498980
- Rebuild to add different pythonegg provides for python 2 and 3

* Mon Aug 26 2013 philippem <philippem> 0.4-1.mga4
+ Revision: 472045
- add Group
- imported package python-numpydoc

